Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.util.datergf
Interface DTC

public interface DTC

This interface serves as a container for constants used in the classes of the datergf package in order to minimize the needed space of compiled classes. It also allows for referring to these constants in a much shorter way by using the string "DTC": "Date/Time Constants".

This file contains final primitive datatype values only!

Examples:

           DateRGF d=new DateRGF().update();

           int day=d.get(DTC.DAY_FIELD);         // retrieves the day field

     Temporary dev-infos:

        version  date            remark

        0.9.2    2001-04-05      - created this interface

Field Summary
`static int` | `APRIL` April, has value 4 (ISO).
`static int` | `AUGUST` August, has value 8 (ISO).
`static int` | `D` Constant to refer to the `Date.day` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.
`static int` | `DATE_ORDER` Constant to refer to the `Date.dateOrder` field in `Date.getStatic(int flag)` and `Date.setStatic(int flag, int new_value)`.
`static int` | `DAY_FIELD` Constant to refer to the `Date.day` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.
`static int` | `DAYS_IN_MONTH` Constant 'total of days in month'.
`static int` | `DECEMBER` December, has value 12 (ISO).
`static byte` | `DMY` Constant to indicate the order Day/Month/Year.
`static int` | `DN` Constant 'day name'.
`static int` | `DOW` Constant 'day of week' (DOW).
`static int` | `DOW_ORDINAL` Constant 'day of week relative to day which begins the week (`Date.weekStart`.
`static int` | `ENCODED_AS_INTEGER` Constant to indicate that Date is encoded as an integer in the form of: ``year`*10000+ `month`*100+ `day``.
`static int` | `ENCODED_AS_MILLIS` Constant to indicate that the time is encoded as an integer representing the time as milliseconds relative to midnight.
`static int` | `ENCODED_AS_SECONDS` Constant to indicate that the time is encoded as an integer representing the time as seconds relative to midnight.
`static int` | `EPOCH_DEFAULT` Constant, to indicate to use the default epoch.
`static int` | `EPOCH_DOS` Constant, epoch starts with 1980-01-01.
`static int` | `EPOCH_JAVA` Constant, epoch starts with 1970-01-01.
`static int` | `EPOCH_MACINTOSH` Constant, epoch starts with 1904-01-01.
`static int` | `EPOCH_MJD` Constant, epoch starts with 1858-11-17 and denotes the epoch of the "modified julian day (MJD)" sometimes used in calendar algorithms.
`static int` | `EPOCH_PALM` Constant, epoch starts with 1904-01-01.
`static int` | `EPOCH_USER` Constant, epoch defined by the user (`Date.setDefaultEpochDate(int value)`.
`static int` | `EPOCH_WIN32` Constant, epoch starts with 1601-01-01.
`static int` | `FEBRUARY` February, has value (ISO).
`static int` | `FRIDAY` Friday, has value 5 (ISO).
`static int` | `GREGORIAN` Constant to indicate the usage of the Gregorian calendar in the methods `Date.jdn2date(int jdn, Date aDate, int flag)` and `Date.date2jdn(int year, int month, int day, int flag)`.
`static int` | `HOUR_FIELD` Constant to refer to the `Time.hour` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.
`static int` | `HY` Constant 'half year' (semester).
`static int` | `HYB` Constant 'half year begin' (semester begin).
`static int` | `HYE` Constant 'half year end' (semester end).
`static int` | `JANUARY` January, has value 1 (ISO).
`static int` | `JDN` Constant to refer to the `Date.jdn` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.
`static int` | `JULIAN` Constant to indicate the usage of the Julian calendar in the methods `Date.jdn2date(int jdn, Date aDate, int flag)` and `Date.date2jdn(int year, int month, int day, int flag)`, or to indicate that a 'Julian date' (in the form 'YYYYddd') is desired in the method `Date.get(int flag)`.
`static int` | `JULY` July, has value 7 (ISO).
`static int` | `JUNE` June, has value 6 (ISO).
`static int` | `M` Constant to refer to the `Date.month` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.
`static int` | `MARCH` March, has value 3 (ISO).
`static int` | `MAY` May, has value 5 (ISO).
`static int` | `MB` Constant 'month begin'.
`static byte` | `MDY` Constant to indicate the order Month/Day/Year.
`static int` | `ME` Constant 'month end'.
`static int` | `MILLIS_FIELD` Constant to refer to the `Time.millis` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.
`static int` | `MILLIS_PER_DAY` Millis in a full day (86.400.000).
`static int` | `MILLIS_PER_HOUR` Millis in a full hour (3.600.000).
`static int` | `MILLIS_PER_MINUTE` Millis in a full minute (60.000).
`static int` | `MILLIS_PER_SECOND` Millis in a full second (1.000).
`static int` | `MINUTE_FIELD` Constant to refer to the `Time.minute` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.
`static int` | `MN` Constant 'month name'.
`static int` | `MONDAY` Monday, has value 1 (ISO).
`static int` | `MONTH_FIELD` Flag to refer to the `Date.month` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.
`static int` | `NAD` Constant to indicate an impossible value for `Date.jdn`, "Not A Date"
`static int` | `NOVEMBER` November, has value 11 (ISO).
`static int` | `OCTOBER` October, has value 10 (ISO).
`static int` | `Q` Constant 'quarter'.
`static int` | `QB` Constant 'quarter begin'.
`static int` | `QE` Constant 'quarter end'.
`static int` | `RAW_MILLIS_FIELD` Constant to refer to the `Time.raw_millis` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.
`static int` | `SATURDAY` Saturday, has value 6 (ISO).
`static int` | `SECOND_FIELD` Constant to refer to the `Time.second` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.
`static int` | `SECONDS_PER_DAY` Seconds in a full day (86400).
`static int` | `SECONDS_PER_HOUR` Seconds in a full hour (3600).
`static int` | `SECONDS_PER_MINUTE` Seconds in a full minute (60).
`static int` | `SEPTEMBER` September, has value 9 (ISO).
`static int` | `SUNDAY` Sunday, has value 7 (ISO).
`static int` | `THURSDAY` Thursday, has value 4 (ISO).
`static int` | `TUESDAY` Tuesday, has value 2 (ISO).
`static int` | `W` Constant 'ISO week number'.
`static int` | `WB` Constant 'week begin'.
`static int` | `WE` Constant 'week end'.
`static int` | `WEDNESDAY` Wednesday, has value 3 (ISO).
`static int` | `WEEK` Constant 'ISO week number'.
`static int` | `WEEK_START` Constant to refer to `Date.weekStart`.
`static int` | `WEEKDAY` Constant 'weekday' inidicating that the date is to be set to one of the given weekdays using the `Date.set(int flag, int number)` method.
`static int` | `Y` Constant to refer to the `Date.year` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.
`static int` | `YB` Constant 'year begin'.
`static int` | `YE` Constant 'year end'.
`static int` | `YEAR_FIELD` Constant to refer to the `Date.year` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.
`static byte` | `YMD` Constant to indicate the order Year/Month/Day.

Field Detail

### SECONDS_PER_DAY

    public static final int SECONDS_PER_DAY

  Seconds in a full day (86400).

### SECONDS_PER_HOUR

    public static final int SECONDS_PER_HOUR

  Seconds in a full hour (3600).

### SECONDS_PER_MINUTE

    public static final int SECONDS_PER_MINUTE

  Seconds in a full minute (60).

### MILLIS_PER_DAY

    public static final int MILLIS_PER_DAY

  Millis in a full day (86.400.000).

### MILLIS_PER_HOUR

    public static final int MILLIS_PER_HOUR

  Millis in a full hour (3.600.000).

### MILLIS_PER_MINUTE

    public static final int MILLIS_PER_MINUTE

  Millis in a full minute (60.000).

### MILLIS_PER_SECOND

    public static final int MILLIS_PER_SECOND

  Millis in a full second (1.000).

### HOUR_FIELD

    public static final int HOUR_FIELD

  Constant to refer to the `Time.hour` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.

### MINUTE_FIELD

    public static final int MINUTE_FIELD

  Constant to refer to the `Time.minute` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.

### SECOND_FIELD

    public static final int SECOND_FIELD

  Constant to refer to the `Time.second` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.

### MILLIS_FIELD

    public static final int MILLIS_FIELD

  Constant to refer to the `Time.millis` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.

### RAW_MILLIS_FIELD

    public static final int RAW_MILLIS_FIELD

  Constant to refer to the `Time.raw_millis` field in `Time.get(int flag)` and `Time.set(int flag, int new_value)`.

### ENCODED_AS_INTEGER

    public static final int ENCODED_AS_INTEGER

  Constant to indicate that Date is encoded as an integer in the form of: ``year`*10000+ `month`*100+ `day``.

  Or:

  `Time.hour`*10000+ `Time.minute`*100+ `Time.second`.

### ENCODED_AS_SECONDS

    public static final int ENCODED_AS_SECONDS

  Constant to indicate that the time is encoded as an integer representing the time as seconds relative to midnight.

### ENCODED_AS_MILLIS

    public static final int ENCODED_AS_MILLIS

  Constant to indicate that the time is encoded as an integer representing the time as milliseconds relative to midnight.

### MONDAY

    public static final int MONDAY

  Monday, has value 1 (ISO).

### TUESDAY

    public static final int TUESDAY

  Tuesday, has value 2 (ISO).

### WEDNESDAY

    public static final int WEDNESDAY

  Wednesday, has value 3 (ISO).

### THURSDAY

    public static final int THURSDAY

  Thursday, has value 4 (ISO).

### FRIDAY

    public static final int FRIDAY

  Friday, has value 5 (ISO).

### SATURDAY

    public static final int SATURDAY

  Saturday, has value 6 (ISO).

### SUNDAY

    public static final int SUNDAY

  Sunday, has value 7 (ISO).

### JANUARY

    public static final int JANUARY

  January, has value 1 (ISO).

### FEBRUARY

    public static final int FEBRUARY

  February, has value (ISO).

### MARCH

    public static final int MARCH

  March, has value 3 (ISO).

### APRIL

    public static final int APRIL

  April, has value 4 (ISO).

### MAY

    public static final int MAY

  May, has value 5 (ISO).

### JUNE

    public static final int JUNE

  June, has value 6 (ISO).

### JULY

    public static final int JULY

  July, has value 7 (ISO).

### AUGUST

    public static final int AUGUST

  August, has value 8 (ISO).

### SEPTEMBER

    public static final int SEPTEMBER

  September, has value 9 (ISO).

### OCTOBER

    public static final int OCTOBER

  October, has value 10 (ISO).

### NOVEMBER

    public static final int NOVEMBER

  November, has value 11 (ISO).

### DECEMBER

    public static final int DECEMBER

  December, has value 12 (ISO).

### YMD

    public static final byte YMD

  Constant to indicate the order Year/Month/Day.

### MDY

    public static final byte MDY

  Constant to indicate the order Month/Day/Year.

### DMY

    public static final byte DMY

  Constant to indicate the order Day/Month/Year.

### DATE_ORDER

    public static final int DATE_ORDER

  Constant to refer to the `Date.dateOrder` field in `Date.getStatic(int flag)` and `Date.setStatic(int flag, int new_value)`.

### YEAR_FIELD

    public static final int YEAR_FIELD

  Constant to refer to the `Date.year` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.

### Y

    public static final int Y

  Constant to refer to the `Date.year` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`. This is an alias for `YEAR_FIELD`.

### MONTH_FIELD

    public static final int MONTH_FIELD

  Flag to refer to the `Date.month` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.

### M

    public static final int M

  Constant to refer to the `Date.month` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`. This is an alias for `MONTH_FIELD`.

### DAY_FIELD

    public static final int DAY_FIELD

  Constant to refer to the `Date.day` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.

### D

    public static final int D

  Constant to refer to the `Date.day` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`. This is an alias for `DAY_FIELD`.

### JDN

    public static final int JDN

  Constant to refer to the `Date.jdn` field in `Date.get(int flag)` and `Date.set(int flag, int new_value)`.

  "JDN" stands for "Julian day number" and is a unique value assigned to each day of a Julian or Gregorian date.

### EPOCH_MJD

    public static final int EPOCH_MJD

  Constant, epoch starts with 1858-11-17 and denotes the epoch of the "modified julian day (MJD)" sometimes used in calendar algorithms. To get a Date object of it use `valueOf(DTC.EPOCH_MJD, 0)`.

### EPOCH_MACINTOSH

    public static final int EPOCH_MACINTOSH

  Constant, epoch starts with 1904-01-01. To get a Date object of it use `valueOf(DTC.EPOCH_MACINTOSH, 0)`.

### EPOCH_PALM

    public static final int EPOCH_PALM

  Constant, epoch starts with 1904-01-01. Same as `EPOCH_MACINTOSH`. To get a Date object of it use `valueOf(DTC.EPOCH_PALM, 0)`.

### EPOCH_JAVA

    public static final int EPOCH_JAVA

  Constant, epoch starts with 1970-01-01. To get a Date object of it use `valueOf(DTC.EPOCH_JAVA, 0)`.

### EPOCH_DOS

    public static final int EPOCH_DOS

  Constant, epoch starts with 1980-01-01. To get a Date object of it use `valueOf(DTC.EPOCH_DOS, 0)`.

### EPOCH_WIN32

    public static final int EPOCH_WIN32

  Constant, epoch starts with 1601-01-01. To get a Date object of it use `valueOf(DTC.EPOCH_WIN32, 0)`.

### EPOCH_USER

    public static final int EPOCH_USER

  Constant, epoch defined by the user (`Date.setDefaultEpochDate(int value)`.

### EPOCH_DEFAULT

    public static final int EPOCH_DEFAULT

  Constant, to indicate to use the default epoch. To get a Date object of it use `valueOf(#valueOf(int flag, int daysToAdd) valueOf(DTC.EPOCH_DEFAULT, 0)`.

### DN

    public static final int DN

  Constant 'day name'.

### DOW

    public static final int DOW

  Constant 'day of week' (DOW). Values 1 (Monday) through 7 (Sunday).

### DOW_ORDINAL

    public static final int DOW_ORDINAL

  Constant 'day of week relative to day which begins the week (`Date.weekStart`. If week starts with Sundays, then a Sunday is 1 ('first day of the week'), Monday is 2 ('second day of the week') through Saturday, which is 7 ('seventh day of the week').

### WEEK

    public static final int WEEK

  Constant 'ISO week number'. The first ISO week of a year is the one which contains the first Thursday of January. Therefore there may be years with 53 (!) weeks, e.g. 20041231 through 20050102.

### W

    public static final int W

  Constant 'ISO week number'. This is an alias for `WEEK`.

### WB

    public static final int WB

  Constant 'week begin'. This will start with the day given in `Date.weekStart`.

### WE

    public static final int WE

  Constant 'week end'. This is relative to `Date.weekStart`.

### WEEKDAY

    public static final int WEEKDAY

  Constant 'weekday' inidicating that the date is to be set to one of the given weekdays using the `Date.set(int flag, int number)` method.

### MB

    public static final int MB

  Constant 'month begin'.

### ME

    public static final int ME

  Constant 'month end'.

### MN

    public static final int MN

  Constant 'month name'.

### DAYS_IN_MONTH

    public static final int DAYS_IN_MONTH

  Constant 'total of days in month'.

### Q

    public static final int Q

  Constant 'quarter'.

### QB

    public static final int QB

  Constant 'quarter begin'.

### QE

    public static final int QE

  Constant 'quarter end'.

### HY

    public static final int HY

  Constant 'half year' (semester).

### HYB

    public static final int HYB

  Constant 'half year begin' (semester begin).

### HYE

    public static final int HYE

  Constant 'half year end' (semester end).

### YB

    public static final int YB

  Constant 'year begin'.

### YE

    public static final int YE

  Constant 'year end'.

### GREGORIAN

    public static final int GREGORIAN

  Constant to indicate the usage of the Gregorian calendar in the methods `Date.jdn2date(int jdn, Date aDate, int flag)` and `Date.date2jdn(int year, int month, int day, int flag)`.

### JULIAN

    public static final int JULIAN

  Constant to indicate the usage of the Julian calendar in the methods `Date.jdn2date(int jdn, Date aDate, int flag)` and `Date.date2jdn(int year, int month, int day, int flag)`, or to indicate that a 'Julian date' (in the form 'YYYYddd') is desired in the method `Date.get(int flag)`.

### NAD

    public static final int NAD

  Constant to indicate an impossible value for `Date.jdn`, "Not A Date"

### WEEK_START

    public static final int WEEK_START

  Constant to refer to `Date.weekStart`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD